Bug 1620052 - [RFE] [Kuryr] Python3 support for Stein/RHEL8
Summary: [RFE] [Kuryr] Python3 support for Stein/RHEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.0
Assignee: Michał Dulko
QA Contact: GenadiC
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-22 10:15 UTC by Daniel Mellado
Modified: 2019-09-26 10:45 UTC (History)
6 users (show)

Fixed In Version: openstack-kuryr-kubernetes-1.1.0-0.20190613110404.6db30e5.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:18:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 555755 0 'None' 'MERGED' 'add lower-constraints job' 2019-11-21 13:24:34 UTC
OpenStack gerrit 595290 0 'None' 'MERGED' 'import zuul job settings from project-config' 2019-11-21 13:24:34 UTC
OpenStack gerrit 595291 0 'None' 'MERGED' 'switch documentation job to new PTI' 2019-11-21 13:24:34 UTC
OpenStack gerrit 595292 0 'None' 'MERGED' 'add python 3.6 unit test job' 2019-11-21 13:24:34 UTC
OpenStack gerrit 595300 0 'None' 'MERGED' 'import zuul job settings from project-config' 2019-11-21 13:24:34 UTC
OpenStack gerrit 595302 0 'None' 'MERGED' 'import zuul job settings from project-config' 2019-11-21 13:24:34 UTC
OpenStack gerrit 595305 0 'None' 'MERGED' 'import zuul job settings from project-config' 2019-11-21 13:24:35 UTC
OpenStack gerrit 599457 0 'None' 'MERGED' 'Add support for python3 containerized kuryr-kubernetes' 2019-11-21 13:24:35 UTC
OpenStack gerrit 600116 0 'None' 'MERGED' 'Fix Python 3 compatiblity in K8sClient.watch()' 2019-11-21 13:24:35 UTC
OpenStack gerrit 602099 0 'None' 'MERGED' 'Pass sys.stdin.buffer to json.load() in Python 3' 2019-11-21 13:24:35 UTC
OpenStack gerrit 602150 0 'None' 'MERGED' 'Add non-containerized Python 3.6 gate' 2019-11-21 13:24:35 UTC
OpenStack gerrit 605068 0 'None' 'MERGED' 'Move Python 3.6 jobs to check and gate as voting' 2019-11-21 13:24:35 UTC
OpenStack gerrit 624324 0 'None' 'ABANDONED' '[DNM] Python3 devstack test' 2019-11-21 13:24:36 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:19:00 UTC

Description Daniel Mellado 2018-08-22 10:15:20 UTC
As migrating to python3 is both a goal for Stein cycle and a need for RHOS8, I'll be using this card to track the ongoing work and bugzillas related to it.

The upstream community has started the process of bootstrapping CI jobs to use python3, see below.

Process on modifying the jobs  *NOT TO BE DONE BY US*

  - http://git.openstack.org/cgit/openstack/goal-tools/tree/README.rst#n22


Weekly emails related to the py3 goal. I asked Kuryr to be addressed as an early adopter, will post back as soon as we've incoming reviews for this.

  - http://lists.openstack.org/pipermail/openstack-dev/2018-August/133232.html
  - http://lists.openstack.org/pipermail/openstack-dev/2018-August/133525.html

Comment 9 errata-xmlrpc 2019-09-21 11:18:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.